Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Interface UrlMappingEvaluator

    public interface UrlMappingEvaluator

Evaluates URL mapping from the given Spring Resource or class.

Authors:
  Graeme Rocher

See Also:
  UrlMapping
  UrlMappingInfo

Since:
  0.5

Method Summary
`java.util.List` | `evaluateMappings(org.springframework.core.io.Resource resource)` Evaluates URL mapping from the give Spring Resource
`java.util.List` | `evaluateMappings(java.lang.Class theClass)` Evaluates mapping from the given class if possible
`java.util.List` | `evaluateMappings(groovy.lang.Closure closure)` Evaluates mapping from the given closure if possible

Method Detail

### evaluateMappings

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.List evaluateMappings(org.springframework.core.io.Resource resource)

  Evaluates URL mapping from the give Spring Resource
  Parameters:
    `resource` - The Spring Resource to evaluate mapping from
  Returns:
    A list of UrlMapping instances

### evaluateMappings

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.List evaluateMappings(java.lang.Class theClass)

  Evaluates mapping from the given class if possible
  Parameters:
    `theClass` - The class to evaluate mapping from
  Returns:
    A list of UrlMapping instances

### evaluateMappings

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.List evaluateMappings(groovy.lang.Closure closure)

  Evaluates mapping from the given closure if possible
  Parameters:
    `closure` - The closure to evaluate mapping from
  Returns:
    A list of UrlMapping instances

Groovy Documentation